Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.adapters
Class ProjectXDOMAdapter

    java.lang.Object
      |
      +--org.jdom.adapters.AbstractDOMAdapter
            |
            +--org.jdom.adapters.ProjectXDOMAdapter

public class ProjectXDOMAdapter
extends AbstractDOMAdapter

`ProjectXDOMAdapater`

This class defines wrapper behavior for obtaining a DOM `Document` object from a Sun Project X DOM parser.

Version:
  1.0
Author:
  Brett McLaughlin, Jason Hunter

Constructor Summary
`ProjectXDOMAdapter()`

Method Summary
`Document` | `createDocument()` This creates an empty `Document` object based on a specific parser implementation.
`Document` | `getDocument(InputStream in, boolean validate)` This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

Methods inherited from class org.jdom.adapters.AbstractDOMAdapter
`createDocument, getDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectXDOMAdapter

    public ProjectXDOMAdapter()

Method Detail

### getDocument

    public Document getDocument(InputStream in,
                                boolean validate)
                         throws IOException

  This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Overrides:
    getDocument in class AbstractDOMAdapter
  Parameters:
    `in` - `InputStream` to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    IOException - when errors occur in parsing.

### createDocument

    public Document createDocument()
                            throws IOException

  This creates an empty `Document` object based on a specific parser implementation.

  Overrides:
    createDocument in class AbstractDOMAdapter
  Returns:
    `Document` - created DOM Document.
  Throws:
    IOException - when errors occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.